from django.apps import AppConfig
from django.conf import settings
from django.core.exceptions import ImproperlyConfigured
import os
import pkg_resources
import arkindex


class DocumentsConfig(AppConfig):
    name = 'arkindex.documents'

    def _package_version(self, name):
        try:
            return open(os.path.join(settings.BASE_DIR, '..', 'VERSION')).read()
        except (OSError, AttributeError, ImproperlyConfigured) as e:
            # File not found or settings module not ready
            pass

        try:
            return pkg_resources.get_distribution(name).version
        except pkg_resources.ResolutionError:
            pass

        raise RuntimeError("Could not fetch '{}' version".format(name))

    def ready(self):
        from arkindex.documents import signals  # noqa
        arkindex.VERSION = self._package_version('arkindex')
