# Generated by Django 2.0 on 2018-06-26 08:10

from django.db import migrations, models
import django.db.models.deletion


def init_corpus(apps, schema_editor):
    '''
    Create default corpus "Himanis"
    and assign it to every element
    '''
    Corpus = apps.get_model('documents', 'Corpus')
    Element = apps.get_model('documents', 'Element')

    himanis = Corpus.objects.create(id='himanis', name='Himanis')
    Element.objects.update(corpus=himanis)


class Migration(migrations.Migration):

    dependencies = [
        ('documents', '0014_auto_20180625_1119'),
    ]

    operations = [
        migrations.CreateModel(
            name='Corpus',
            fields=[
                ('id', models.CharField(max_length=250, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=250)),
            ],
        ),
        migrations.AddField(
            model_name='element',
            name='corpus',
            field=models.ForeignKey(
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name='elements',
                to='documents.Corpus',
            ),
            preserve_default=False,
        ),
        migrations.RunPython(init_corpus),
        migrations.AlterField(
            model_name='element',
            name='corpus',
            field=models.ForeignKey(
                null=False,
                on_delete=django.db.models.deletion.CASCADE,
                related_name='elements',
                to='documents.Corpus',
            ),
            preserve_default=False,
        ),
        migrations.AlterModelOptions(
            name='corpus',
            options={'verbose_name_plural': 'corpora'},
        ),
    ]
