from arkindex.documents.models import MetaData, MetaType
from django.test import TestCase


class TestMetaData(TestCase):

    def test_sort(self):
        data = [
            MetaData(name="persons", type=MetaType.Text, value='a'),
            MetaData(name="location", type=MetaType.Location, value='somewhere'),
            MetaData(name="summary", type=MetaType.HTML, value='<a>a</a>'),
            MetaData(name="places", type=MetaType.Text, value='a\na'),
            MetaData(name="something", type=MetaType.Text, value='in one line'),
            MetaData(name="other thing", type=MetaType.Text, value='in\nmultiple\nlines'),
            MetaData(name="subjects", type=MetaType.Text, value='a\na\na'),
            MetaData(name="date", type=MetaType.Date, value='1337-04-02'),
        ]

        data = sorted(data)

        self.assertListEqual(
            [m.name for m in data],
            ['date', 'location', 'something', 'summary', 'persons', 'places', 'subjects', 'other thing'],
        )
