# Generated by Django 2.0 on 2018-05-16 21:11

from django.db import migrations, models
import django.db.models.deletion


def clean_zones(apps, schema_editor):
    '''
    Remove zones with empty element
    '''
    Zone = apps.get_model('images', 'Zone')
    for zone in Zone.objects.filter(element__isnull=True):
        zone.delete()


class Migration(migrations.Migration):

    dependencies = [
        ('images', '0002_image_status'),
    ]

    operations = [
        migrations.RunPython(clean_zones),
        migrations.AlterField(
            model_name='zone',
            name='element',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='zones',
                to='documents.Element',
            ),
        ),
        migrations.AlterUniqueTogether(
            name='zone',
            unique_together=set(),
        ),
    ]
