#!/usr/bin/env python
import os.path
from setuptools import setup, find_packages


def requirements(path):
    assert os.path.exists(path), 'Missing requirements {}'.format(path)
    with open(path) as f:
        return f.read().splitlines()


with open('VERSION') as f:
    VERSION = f.read()

install_requires = requirements('requirements.txt') + requirements('base/requirements.txt')
tests_requires = requirements('tests-requirements.txt')

setup(
    name='arkindex',
    version=VERSION,
    description='Manuscripts indexation framework',
    author='Teklia',
    author_email='abadie@teklia.com',
    url='https://arkindex.teklia.com',
    install_requires=install_requires,
    test_suite='arkindex.project.runtests.run',
    tests_require=tests_requires,
    extras_require={
        'test': tests_requires,
    },
    packages=find_packages(),
    include_package_data=True,
    py_modules=['arkindex', ],
    scripts=[
        'arkindex/manage.py',
    ],
)
